/* eslint-disable */
import {
  request
} from './network'

const identity = localStorage.getItem('index-identity')
// 报名初始化
export function signUpInit(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/signUpInit',
    params: data
  })
}

// 确认报名须知
export function setSignShould(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/setSignShould',
    params: data
  })
}

// 绑定邀请码
export function setInviteCode(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/setInviteCode',
    params: data
  })
}

// 页面个人获取
export function getAccount(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/getAccount',
    params: data
  })
}

// 获取学习成绩证明材料上传图片
export function getAchievementOss(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/getAchievementOss',
    data
  })
}
//删除图片

export function delPic(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/auth/delPic',
    params:data
  })
}
// 页面个人信息保存
export function setAccount(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/setAccount',
    params: data
  })
}

// 获取报名省份城市
export function getProAndCity(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/getProAndCity',
    params: data
  })
}

// 获取报名学校
export function getSchool(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/signUp/getSchool',
    params: data
  })
}
